libevent-core-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb


Advertisement

Description

libevent-core-2.0-5 - Asynchronous event notification library (core)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename libevent-core-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb
Package name libevent-core-2.0-5
Package version 2.0.21
Package release stable-2ubuntu0.16.04.1
Package architecture i386
Package type deb
Category libs
Homepage http://libevent.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 73.95 KB
Installed size 210.00 KB
Libevent is an asynchronous event notification library that provides a
mechanism to execute a callback function when a specific event occurs
on a file descriptor or after a timeout has been reached.
It is meant to replace the asynchronous event loop found in
event driven network servers. Currently, libevent supports /dev/poll,
kqueue(2), event ports, select(2), poll(2) and epoll(4).
The libevent_core library includes event loops, timers, buffer code,
and various small compatibility functions.
If you're writing software that only uses libevent's event loop, you
should link against only the libevent_core library.

Alternatives

Package Version Architecture Repository
libevent-core-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_amd64.deb 2.0.21 amd64 Ubuntu Updates Main
libevent-core-2.0-5_2.0.21-stable-2_amd64.deb 2.0.21 amd64 Ubuntu Main
libevent-core-2.0-5_2.0.21-stable-2_i386.deb 2.0.21 i386 Ubuntu Main
libevent-core-2.0-5 - - -

Requires

Name Value
libc6 >= 2.17

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libevent-core-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb
Source Package libevent

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libevent-core-2.0-5 deb package:
    # sudo apt-get install libevent-core-2.0-5

Files

Path
/usr/lib/i386-linux-gnu/libevent_core-2.0.so.5
/usr/lib/i386-linux-gnu/libevent_core-2.0.so.5.1.9
/usr/share/doc/libevent-core-2.0-5/changelog.Debian.gz
/usr/share/doc/libevent-core-2.0-5/copyright

Changelog

2017-03-10 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
libevent (2.0.21-stable-2ubuntu0.16.04.1) xenial-security; urgency=medium
* SECURITY UPDATE: buffer overread in name_parse()
- debian/patches/CVE-2016-10195.patch: fix length check in evdns.c.
- CVE-2016-10195
* SECURITY UPDATE: integer overflow in evutil_parse_sockaddr_port()
- debian/patches/CVE-2016-10196.patch: use size_t for length in
evutil.c.
- CVE-2016-10196
* SECURITY UPDATE: OOB read via empty hostname
- debian/patches/CVE-2016-10197-1.patch: check result in evdns.c.
- debian/patches/CVE-2016-10197-2.patch: add test to
test/regress_dns.c.
- CVE-2016-10197
2015-01-07 - Anibal Monsalve Salazar <anibal@debian.org>
libevent (2.0.21-stable-2) unstable; urgency=high
* Fix CVE-2014-6272: potential heap overflow in buffer/bufferevent APIs.
Add upstream patch: 20d6d445.patch.
Closes: #774645.
* Don't use deprecated compression for data tarball.
Use default compression for data tarball.
2014-08-25 - Andreas Barth <aba@ayous.org>
libevent (2.0.21-stable-1.1) unstable; urgency=low
* Non-maintainer upload.
* Update config.* to fix FTBFS on ppc64el. Closes: #750693
2013-05-19 - Leo Costela <costela@debian.org>
libevent (2.0.21-stable-1) unstable; urgency=low
* [dd23c3ce] Imported Upstream version 2.0.21-stable
- fix memleaks in evdns (closes: 679217)
* [bbc5530e] debian/control: use canonical VCS URL
2012-06-02 - Anibal Monsalve Salazar <anibal@debian.org>
libevent (2.0.19-stable-3) unstable; urgency=low
* [ceb52d98] DH compatibility level is 9
* [7792ab18] Support multiarch (Closes: #675320)
2012-05-21 - Leo Costela <costela@debian.org>
libevent (2.0.19-stable-2) unstable; urgency=low
* [cbdbe5b8] add hardening build-flags (Closes: 673707)
* [b5f4e321] change default compression to xz
2012-05-07 - Leo Costela <costela@debian.org>
libevent (2.0.19-stable-1) unstable; urgency=low
* [21c5f34e] Imported Upstream version 2.0.19-stable
* [aad0456e] debian/watch: only check stable versions
* [09bb9c1d] debian/control: bump policy to 3.9.3 (no changes)
2012-03-30 - Leo Costela <costela@debian.org>
libevent (2.0.18-stable-1) unstable; urgency=low
* [d094fba3] Imported Upstream version 2.0.18-stable
* [6717e7ac] correct vcs-browse link
2012-02-13 - Leo Costela <costela@debian.org>
libevent (2.0.17-stable-1) unstable; urgency=low
* [98fed68d] Imported Upstream version 2.0.17-stable
* [82af6f34] update homepage to libevent.org
* [becd7e37] re-adding multiarch to TODO
* [8b2c71ac] shlibs: correct minimal version for current API (2.0.10)
2011-11-28 - Anibal Monsalve Salazar <anibal@debian.org>
libevent (2.0.16-stable-1) unstable; urgency=low
* New upstream version 2.0.16-stable
* Uploading to unstable, see http://bugs.debian.org/631018

See Also

Package Description
libevent-dev_2.0.21-stable-2ubuntu0.16.04.1_i386.deb Asynchronous event notification library (development files)
libevent-extra-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb Asynchronous event notification library (extra)
libevent-openssl-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb Asynchronous event notification library (openssl)
libevent-pthreads-2.0-5_2.0.21-stable-2ubuntu0.16.04.1_i386.deb Asynchronous event notification library (pthreads)
libevince-dev_3.18.2-1ubuntu4.6_i386.deb Document (PostScript, PDF) rendering library - development files
libevview3-3_3.18.2-1ubuntu4.6_i386.deb Document (PostScript, PDF) rendering library - Gtk+ widgets
libexempi-dev_2.2.2-2ubuntu0.1_i386.deb library to parse XMP metadata (Development files)
libexempi3_2.2.2-2ubuntu0.1_i386.deb library to parse XMP metadata (Library)
libexiv2-14_0.25-2.1ubuntu16.04.4_i386.deb EXIF/IPTC/XMP metadata manipulation library
libexiv2-dev_0.25-2.1ubuntu16.04.4_i386.deb EXIF/IPTC/XMP metadata manipulation library - development files
libexiv2-doc_0.25-2.1ubuntu16.04.4_all.deb EXIF/IPTC/XMP metadata manipulation library - HTML documentation
libexpat1-dev_2.1.0-7ubuntu0.16.04.4_i386.deb XML parsing C library - development kit
libexpat1_2.1.0-7ubuntu0.16.04.4_i386.deb XML parsing C library - runtime library
libfcitx-config4_4.2.9.1-1ubuntu1.16.04.2_i386.deb Flexible Input Method Framework - configuration support library
libfcitx-core0_4.2.9.1-1ubuntu1.16.04.2_i386.deb Flexible Input Method Framework - library of core funtions
Advertisement
Advertisement